package cn.pluss.platform.mcc;

import cn.pluss.platform.entity.MccInfoSort;
import cn.pluss.platform.exception.MsgException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * mcc行业对应表，此处的mcc主要还是以随行付的为主，不同通道有差异的通过mcc_reflect表做映射 服务类
 * </p>
 *
 * @author Djh
 * @since 2021-06-23
 */
public interface MccInfoSortService extends IService<MccInfoSort> {

    /**
     * 根据mccCode获取对应的信息
     * @param mccCode   mccCode
     * @return  记录信息
     */
    default MccInfoSort getByMcc(String mccCode) {
        MccInfoSort entity = getOne(new QueryWrapper<MccInfoSort>().eq("mccCode", mccCode).last("limit 1"));
        if (entity == null) {
            throw new MsgException("该MCC不存在，请修改MCC");
        }

        return entity;
    }
}
